Bug 1406011 - content-hosts export only writes one page worth of data, missing full_results:true
Summary: content-hosts export only writes one page worth of data, missing full_results...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Uncategorized
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Unspecified
Assignee: Tom McKay
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks: 1400101
TreeView+ depends on / blocked
 
Reported: 2016-12-19 13:47 UTC by Tom McKay
Modified: 2020-03-11 15:31 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-hammer_cli_csv-2.2.1.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-26 10:47:08 UTC
Target Upstream Version:


Attachments (Terms of Use)
exported content hosts (9.60 MB, text/plain)
2017-01-14 22:15 UTC, jcallaha
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 17735 0 None None None 2016-12-19 13:47:58 UTC
Red Hat Product Errata RHBA-2017:0197 0 normal SHIPPED_LIVE Satellite 6.2.7 Async Bug Release 2017-01-26 15:38:38 UTC

Description Tom McKay 2016-12-19 13:47:55 UTC
The call to get all the content hosts is missing the param to get all data rather than just the first page.

Comment 1 Tom McKay 2016-12-19 13:48:01 UTC
Created from redmine issue http://projects.theforeman.org/issues/17735

Comment 2 Tom McKay 2016-12-19 13:48:06 UTC
Upstream bug assigned to tomckay

Comment 4 Bryan Kearney 2016-12-19 19:07:45 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17735 has been resolved.

Comment 5 jcallaha 2017-01-14 22:14:19 UTC
Verified in Satellite 6.2.7 Snap 1

Executed a content host export on a system with over 100K content hosts. All hosts were successfully exported int he same file. (see attached)

Comment 6 jcallaha 2017-01-14 22:15:55 UTC
Created attachment 1240815 [details]
exported content hosts

Comment 8 errata-xmlrpc 2017-01-26 10:47:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:0197


Note You need to log in before you can comment on or make changes to this bug.